/**
 * -------------------------------------------
 * @author			Prodzect
 * @copyright		Copyright (c) 2008-2012              
 * @author page http://llb.lt
 * @contacts		prodzect@gmail.com
 * --------------------------------------------
**/
if (navigator.userAgent.toLowerCase().indexOf("chrome") >= 0) {
	var _interval = window.setInterval(function () {
		var autofills = jQuery('input:-webkit-autofill');
			if (autofills.length > 0) {
				window.clearInterval(_interval);
				autofills.each(function() {
					var clone = jQuery(this).clone(true, true);
          jQuery(this).after(clone).remove();
        });
      }
  }, 200);
}

function showLoader() {
	jQuery.blockUI({ 
    message: global_lng["loading_message"]
  });
}

function duplicate(filenamee) {
	var result = '';
	
	jQuery.ajax({
		type: "POST",
		url: global_config['home_url'] + "/index.php?validate=duplicate",
		data: "check_duplicate=1&filename=" + filenamee,
		async: false,
		success: function(data) {
			result = data;
		}
	});
	
	return result;
}

jQuery(document).ready(function() {
	var ext_regexp = /(?:\.([^.]+))?$/;
	
	jQuery('input[type=file]').change(function(e) {
		jQuery('.selected_filename').html("Prašome palaukti..");
		
		var filename = jQuery(this).val().replace(/C:\\fakepath\\/i, '');
		if (ext_regexp.exec(filename)[1] == 'rar' || ext_regexp.exec(filename)[1] == 'zip') {
			if (duplicate(filename) == 'ok') {
				if (filename.length <= global_config['max_file_name_length']) {
					jQuery('.selected_filename').html(filename);
					jQuery('#select_form').hide();
					jQuery('#upload_form').show();
				} else {
					jQuery('.selected_filename').html("<span style='color: red;'>" + global_lng['validate_file_name_too_long'] + "</span>");
				}
			} else {
				jQuery('.selected_filename').html("<span style='color: red;'>" + global_lng['validate_file_already_exists'] + "</span>");
			}
		} else {
			jQuery('.selected_filename').html("<span style='color: red;'>" + global_lng['validate_bad_file_extension'] + "</span>");
		}
	});
	
	jQuery(".not_approved").mouseenter(function() {
		var id = jQuery(this).attr('id');
		jQuery("#not_approved_change_" + id).html("<span style='color: #487e28;'>" + global_lng['wanna_approve'] + "</span>");
		
    jQuery(".approve_" + id).live('click', function() {
			var _confirm = confirm(global_lng['verify_confirm']);
			if (_confirm) {
				jQuery.ajax({
					type: "POST",
					url: global_config['home_url'] + "/index.php?validate=approve",
					data: "approve=1&id=" + id,
					success: function(data) {
						location.reload(true);
					}
				});
			} else {
				location.reload(true);
			}
		});
  }).mouseleave(function() {
		var id = jQuery(this).attr('id');
    jQuery("#not_approved_change_" + id).html(global_lng['not_approved']);
  });
	
	jQuery(".delete").live('click', function() {
		var file_id = jQuery(this).attr('id'); 
		var back_url = jQuery(this).attr('back_url');

		var _confirm = confirm(global_lng['delete_confirm']);
		if (_confirm) {
			jQuery.ajax({
				type: "POST",
				url: global_config['home_url'] + "/index.php?validate=delete",
				data: "delete=1&id=" + file_id,
				success: function(data) {
					location.reload(true);
				}
			});
		}
	});
	
	jQuery('#download_link_copy_button').zclip({
		path: global_config['home_url'] + '/user/templates/default/js/ZeroClipboard.swf',
		copy: function() {
			return jQuery('#download_link_box').val();
		}
	});
	
	jQuery('.mf_download_link_copy_button').zclip({
		path: global_config['home_url'] + '/user/templates/default/js/ZeroClipboard.swf',
		copy: function() {
			var id = jQuery(this).attr('id');
			return jQuery("input[name=mf_download_link_box_" + id + "]").val();
		}
	});
});